Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.filter.authorization
Class R01FBaseAuthProvider

    java.lang.Object
      com.ejie.r01f.servlet.filter.authorization.R01FBaseAuthProvider

Direct Known Subclasses:
  R01FFileAuthProvider, R01FXLNetsAuthProvider

public abstract class R01FBaseAuthProvider
extends java.lang.Object

Interface para el provider de autenticacion

Constructor Summary
`R01FBaseAuthProvider()` Constructor vacio
`R01FBaseAuthProvider(javax.servlet.ServletRequest theReq)` Constructor en base a datos de la request

Method Summary
`abstract R01FTargetCtx` | `authorize(R01FAuthCtx authCtx, R01FTargetCfg targetCfg)` Consulta los datos de autorización del destino cuya configuracion se pasa como parametro
`abstract R01FAuthCtx` | `getContext(R01FAuthCfg authCfg)` Comprueba si el usuario tiene sesion abierta, es decir, comprueba si el usuario se ha autenticado
`java.util.Properties` | `getProps()` Getter que devuelve las propiedades
`javax.servlet.ServletRequest` | `getRequest()` Getter que devuelve la request
`void` | `init(java.util.Properties theProps)` Inicializa el provider en base a unas propiedades
`abstract void` | `redirectToLogin(javax.servlet.ServletResponse res, java.lang.String returnURL)` Redirige al usuario a la página de login
`void` | `setRequest(javax.servlet.ServletRequest theReq)` Establece la request

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### R01FBaseAuthProvider

    public R01FBaseAuthProvider()

  Constructor vacio

### R01FBaseAuthProvider

    public R01FBaseAuthProvider(javax.servlet.ServletRequest theReq)

  Constructor en base a datos de la request

Parameters:
  `theReq` - la request

Method Detail

### getRequest

    public javax.servlet.ServletRequest getRequest()

  Getter que devuelve la request

  Returns:
    la request

### getProps

    public java.util.Properties getProps()

  Getter que devuelve las propiedades

  Returns:
    las propiedades

### setRequest

    public void setRequest(javax.servlet.ServletRequest theReq)

  Establece la request

  Parameters:
    `theReq` - la request

### init

    public void init(java.util.Properties theProps)

  Inicializa el provider en base a unas propiedades

  Parameters:
    `theProps` - las propiedades del provder

### getContext

    public abstract R01FAuthCtx getContext(R01FAuthCfg authCfg)

  Comprueba si el usuario tiene sesion abierta, es decir, comprueba si el usuario se ha autenticado. - Si el usuario se ha autenticado, devuelve un objeto con el contexto de la sesión - Si el usuario no se ha autenticado devuelve null

  Parameters:
    `authCfg` - La configuracion de autorizacion
  Returns:
    Un objeto con el contexto o null si el usuario no se ha autenticado

### redirectToLogin

    public abstract void redirectToLogin(javax.servlet.ServletResponse res,
                                         java.lang.String returnURL)

  Redirige al usuario a la página de login

  Parameters:
    `res` - la response
    `returnURL` - La url a la que ha de devolver al usuario la aplicación de login una vez que este ha hecho login

### authorize

    public abstract R01FTargetCtx authorize(R01FAuthCtx authCtx,
                                            R01FTargetCfg targetCfg)

  Consulta los datos de autorización del destino cuya configuracion se pasa como parametro

  Parameters:
    `authCtx` - El contexto de autorizacion
    `targetCfg` - La configuracion del target
  Returns:
    un objeto `R01FTargetCtx` con el contexto de autorizacion para el destino

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD